﻿namespace ComputationalGeometry.DataStructures
{
    public class BinaryTreeNode<T>
    {
        public BinaryTreeNode()
        {
            Right = null;
            Left = null;
        }

        public BinaryTreeNode(T data)
        {
            Right = null;
            Left = null;
            Value = data;
        }

        public BinaryTreeNode(T data, BinaryTreeNode<T> left, BinaryTreeNode<T> right)
        {
            Value = data;
            Left = left;
            Right = right;
        }

        public BinaryTreeNode<T> Left { get; set; }

        public BinaryTreeNode<T> Right { get; set; }

        public T Value { get; set; }
    }
}
