﻿namespace ComputationalGeometry.Shapes
{
    public class Line2D
    {
        public Line2D(Point2D initial, Point2D terminal)
        {
            this.InitialPoint = initial;
            this.TerminalPoint = terminal;
        }

        public Point2D InitialPoint { get; set; }

        public Point2D TerminalPoint { get; set; }

        public double Magnitude()
        {
            return MathUtility.GetDistance(this.InitialPoint, this.TerminalPoint);
        }
    }
}
